# AI Photo Background Blur

# Overview
The AI Photo Background Blur tool enhances photos by effortlessly isolating the subject from the background image, allowing for various application, including in bokeh simulation, to sharpen the focus on product subjects.

By using this API, you can easily extract a foreground mask from a input image. So that you can blur the background using the mask by any image blur algorithms like the gaussian blur or custom blur kernels.

Sample
Before:
![](https://yce.makeupar.com/assets/images/sod/banner/blur/yce-topbanner-dt-before.jpg)

After:
![](https://yce.makeupar.com/assets/images/sod/banner/blur/yce-topbanner-dt-after.jpg)


Before:
![](https://bcw-media.s3.ap-northeast-1.amazonaws.com/yce_blur_bg_s3_poster_1_50a314e3f9.jpg)

After:
![](https://bcw-media.s3.ap-northeast-1.amazonaws.com/yce_blur_bg_s3_poster_2_afb0548cb7.jpg)


License: Privacy policy

## Servers

```
https://yce-api-01.makeupar.com
```

## Security

### BearerAuthenticationV2

Use the standard 'Bearer authentication'. Put your 'API Key' in header: `Authorization:Bearer YOUR_API_KEY`. Notice that there is ' ' a space between 'Bearer' and the 'YOUR_API_KEY'.

Type: http
Scheme: bearer

## Download OpenAPI description

[AI Photo Background Blur](https://docs.perfectcorp.com/_bundle/reference/ai_photo_background_blur.yaml)

## V1.0

AI Photo Background Blur API allows you to blur the background of an image using AI technology.

### Create a new file.

 - [POST /s2s/v2.0/file/sod/blur-background](https://docs.perfectcorp.com/reference/ai_photo_background_blur/v1.0/paths/~1s2s~1v2.0~1file~1sod~1blur-background/post.md): To upload a new file, you'll first need to use the File API. It will give you a URL – use that URL to upload your file. Once the upload is finished, you can use the file_id from the same response to start using our AI features.

### Run an AI photo Background Blur task.

 - [POST /s2s/v2.0/task/sod/blur-background](https://docs.perfectcorp.com/reference/ai_photo_background_blur/v1.0/paths/~1s2s~1v2.0~1task~1sod~1blur-background/post.md): Please refer to the polling guide for checking task status.

### Check AI photo Background Blur task status.

 - [GET /s2s/v2.0/task/sod/blur-background/{task_id}](https://docs.perfectcorp.com/reference/ai_photo_background_blur/v1.0/paths/~1s2s~1v2.0~1task~1sod~1blur-background~1%7Btask_id%7D/get.md)

